package benefactoraddresshandler

import (
	"net/http"

	addressparam "git.gocasts.ir/ebhomengo/niki/param/benefactor/address"
	httpmsg "git.gocasts.ir/ebhomengo/niki/pkg/http_msg"
	"github.com/labstack/echo/v4"
)

func (h Handler) GetAllCities(c echo.Context) error {
	var req addressparam.GetAllCitiesRequest

	listCities, err := h.addressSvc.GetAllCities(c.Request().Context(), req)
	if err != nil {
		msg, code := httpmsg.Error(err)

		return echo.NewHTTPError(code, msg)
	}

	return c.JSON(http.StatusOK, listCities)
}
